List Versions
curl --request GET \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"version": 1,
"published_at": "2025-10-07T10:30:00.000000Z"
}
],
"meta": {
"per_page": 20,
"next_cursor": null,
"previous_cursor": null
}
}Agent Versions
List Versions
Retrieves a paginated list of version history of an agent.
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
List Versions
Authorizations
Bearer token authentication
Path Parameters
The ID of the agent.
Query Parameters
The number of items per page. Must be at least 1. Must not be greater than 100.
Example:
25
The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.
Example:
"example"

